Bug 129637 - Kernel install logs "running grub"
Summary: Kernel install logs "running grub"
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-11 09:26 UTC by Reuben Farrelly
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 14:32:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Reuben Farrelly 2004-08-11 09:26:16 UTC
Description of problem: 

Kernel install shows incorrect message about lilo in /var/log/messages

Version-Release number of selected component (if applicable):
2.6

How reproducible:
Always, just install a new kernel (currently running -devel kernel).

Steps to Reproduce:
1. rpm -Uvh kernel-*.rpm
2. less /var/log/messages
  
Actual results:

**Unmatched Entries**
Modifying bootloader config to include the new kernel info
Adding 2.6.7-1.509 to bootloader config
Adding 2.6.7-1.509 to bootloader config
Running lilo with the new configuration

Expected results:

Well, given lilo is no longer shipped in the core distribution and 
grub is the new thing, I'd expect "Running grub with the new 
configuration".

Additional info:

Strange that this has gone unnoticed for so long ;-)

Comment 1 Jeremy Katz 2004-08-11 15:32:55 UTC
Are you doing this with rpm or one of the update tools?  rpm doesn't
syslog anything like this...

Comment 2 Reuben Farrelly 2004-08-11 19:44:49 UTC
Using up2date to update the kernel.

Comment 3 John Thacker 2006-10-29 14:32:15 UTC
Note that FC1 and FC2 are no longer supported even by Fedora Legacy, and FC3 and
FC4 are supported by Fedora Legacy only for security issues.  Please retest this
bug against a still supported version and retest.  If this still occurs on FC3
or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it occurs on RHEL, please change to that product
and the appropriate version.

Note that up2date has been replaced by pirut/pup for FC5 and FC6, the only
fully-supported versions of Fedora Core.  Please test pirut for software updates
and file bugs as appropriate.


Note You need to log in before you can comment on or make changes to this bug.